Subject: diff-index --cached on bare repository

From: Johannes Gilger <[email-masked]>
Date: Fri, 30 Jan 2009 16:13:53 +0000 (UTC)

Hi list,

today I stumbled over the output of "git diff-index --cached HEAD" in a 
bare repository. While diff-index HEAD just reminds me that I got to 
have a work-tree, --cached outputs all the files in HEAD as deleted. The 
question is if this is intended behaviour? Or is it irrelevant because 
diff-index is only plumbing? I found a mail of the gitk-team working 
around this, which is funny because I discovered this while working on 
GitX.

So please, enlighten me ;)

Greetings,
Jojo

-- 
Johannes Gilger <[email-masked]>
http://hackvalue.de/heipei/
GPG-Key: 0x42F6DE81
GPG-Fingerprint: BB49 F967 775E BB52 3A81  882C 58EE B178 42F6 DE81